% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/canva.R
\name{canva_pal}
\alias{canva_pal}
\title{Canva.com color palettes}
\usage{
canva_pal(palette = "Fresh and bright")
}
\arguments{
\item{palette}{Palette name. See the names of \code{\link{canva_palettes}()}
for valid names.}
}
\value{
A function that takes a single value, the number of colors to use.
}
\description{
150+ color palettes from canva.com. See \code{\link{canva_palettes}()}.
}
\examples{
require("ggplot2")
require("purrr")
require("tibble")
require("scales")
require("dplyr")
canva_df <- map2_df(canva_palettes, names(canva_palettes),
                    ~ tibble(colors = .x, .id = seq_along(colors),
                             palette = .y))
ggplot(canva_df, aes(y = palette, x = .id, fill = colors)) +
       geom_raster() +
       scale_fill_identity(guide = FALSE) +
       theme_minimal() +
       theme(panel.grid = element_blank(),
             axis.text.x = element_blank()) +
       labs(x = "", y = "")

show_col(canva_pal("Fresh and bright")(4))
show_col(canva_pal("Cool blues")(4))
show_col(canva_pal("Modern and crisp")(4))
}
