% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/shapes.R
\name{scale_shape_cleveland}
\alias{scale_shape_cleveland}
\title{Shape scales from Cleveland "Elements of Graphing Data"}
\usage{
scale_shape_cleveland(overlap = TRUE, ...)
}
\arguments{
\item{overlap}{\code{logical} Use the scale for overlapping points?}

\item{...}{Arguments passed on to \code{discrete_scale}
\describe{
  \item{palette}{A palette function that when called with a single integer
argument (the number of levels in the scale) returns the values that
they should take.}
  \item{breaks}{One of:
\itemize{
\item \code{NULL} for no breaks
\item \code{waiver()} for the default breaks computed by the
transformation object
\item A character vector of breaks
\item A function that takes the limits as input and returns breaks
as output
}}
  \item{limits}{A character vector that defines possible values of the scale
and their order.}
  \item{drop}{Should unused factor levels be omitted from the scale?
The default, \code{TRUE}, uses the levels that appear in the data;
\code{FALSE} uses all the levels in the factor.}
  \item{na.translate}{Unlike continuous scales, discrete scales can easily show
missing values, and do so by default. If you want to remove missing values
from a discrete scale, specify \code{na.translate = FALSE}.}
  \item{na.value}{If \code{na.translate = TRUE}, what value aesthetic
value should missing be displayed as? Does not apply to position scales
where \code{NA} is always placed at the far right.}
  \item{aesthetics}{The names of the aesthetics that this scale works with}
  \item{scale_name}{The name of the scale}
  \item{name}{The name of the scale. Used as the axis or legend title. If
\code{waiver()}, the default, the name of the scale is taken from the first
mapping used for that aesthetic. If \code{NULL}, the legend title will be
omitted.}
  \item{labels}{One of:
\itemize{
\item \code{NULL} for no labels
\item \code{waiver()} for the default labels computed by the
transformation object
\item A character vector giving labels (must be same length as \code{breaks})
\item A function that takes the breaks as input and returns labels
as output
}}
  \item{guide}{A function used to create a guide or its name. See
\code{\link[=guides]{guides()}} for more info.}
  \item{super}{The super class to use for the constructed scale}
}}
}
\description{
Shape scales from Cleveland "Elements of Graphing Data"
}
\references{
Cleveland WS. The Elements of Graphing Data. Revised Edition.
Hobart Press, Summit, NJ, 1994, pp. 154-164, 234-239.
}
\seealso{
\code{\link{cleveland_shape_pal}()} for a description of the palette.

Other shapes: \code{\link{circlefill_shape_pal}},
  \code{\link{cleveland_shape_pal}},
  \code{\link{scale_shape_circlefill}},
  \code{\link{scale_shape_tremmel}},
  \code{\link{tremmel_shape_pal}}
}
\concept{shapes}
