% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/few.R
\name{theme_few}
\alias{theme_few}
\title{Theme based on Few's "Practical Rules for Using Color in Charts"}
\usage{
theme_few(base_size = 12, base_family = "")
}
\arguments{
\item{base_size}{base font size}

\item{base_family}{base font family}
}
\description{
Theme based on the rules and examples from Stephen Few's
\emph{Show Me the Numbers} and "Practical Rules for Using Color in Charts".
}
\examples{
library("ggplot2")

p <- ggplot(mtcars) +
  geom_point(aes(x = wt, y = mpg, colour = factor(gear))) +
  facet_wrap(~am)
p + theme_few() + scale_colour_few()
p + theme_few() + scale_colour_few("Light")
p + theme_few() + scale_colour_few("Dark")

ggplot(mtcars) +
  geom_point(aes(x = wt, y = mpg, shape = factor(gear))) +
  theme_few() +
  scale_shape_few()
}
\references{
Few, S. (2012) \emph{Show Me the Numbers: Designing Tables and Graphs to Enlighten}.
2nd edition. Analytics Press.

Stephen Few, "Practical Rules for Using Color in Charts",
\url{http://www.perceptualedge.com/articles/visual_business_intelligence/rules_for_using_color.pdf}.
}
\concept{themes few}
